summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-04-21 00:20:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-04-21 12:01:22 +0700
commitc54cd2f5b90bca704f7b3e0b87c2eb6e0298708b (patch)
tree3858f6f5f78d4e90ae5667e3f47bff3837ae22dc
parent4d9d5744e5dc264f4fed68783442f3dac3f8277a (diff)
downloadslackbuilds-c54cd2f5b.tar.gz
slackbuilds-c54cd2f5b.tar.xz
perl/perl-PAR-Dist: Added (Create and manipulate PAR distributions).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--perl/perl-PAR-Dist/README6
-rw-r--r--perl/perl-PAR-Dist/perl-PAR-Dist.SlackBuild99
-rw-r--r--perl/perl-PAR-Dist/perl-PAR-Dist.info10
-rw-r--r--perl/perl-PAR-Dist/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/perl/perl-PAR-Dist/README b/perl/perl-PAR-Dist/README
new file mode 100644
index 0000000000..1935b399dd
--- /dev/null
+++ b/perl/perl-PAR-Dist/README
@@ -0,0 +1,6 @@
+perl-PAR-Dist (Create and manipulate PAR distributions)
+
+This module creates and manipulates PAR distributions.
+They are architecture-specific PAR files, containing everything under blib/ of CPAN distributions after their make or
+Build stage, a META.yml describing metadata of the original CPAN distribution, and a MANIFEST detailing all files within it.
+Digitally signed PAR distributions will also contain a SIGNATURE file.
diff --git a/perl/perl-PAR-Dist/perl-PAR-Dist.SlackBuild b/perl/perl-PAR-Dist/perl-PAR-Dist.SlackBuild
new file mode 100644
index 0000000000..933dbdef99
--- /dev/null
+++ b/perl/perl-PAR-Dist/perl-PAR-Dist.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+# Slackware build script for perl-PAR-Dist
+
+# Copyright 2015 Edinaldo P. Silva <edps.mundognu@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-PAR-Dist
+VERSION=${VERSION:-0.49}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=PAR-Dist
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-PAR-Dist/perl-PAR-Dist.info b/perl/perl-PAR-Dist/perl-PAR-Dist.info
new file mode 100644
index 0000000000..a190b832a9
--- /dev/null
+++ b/perl/perl-PAR-Dist/perl-PAR-Dist.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-PAR-Dist"
+VERSION="0.49"
+HOMEPAGE="https://metacpan.org/pod/PAR::Dist"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/R/RS/RSCHUPP/PAR-Dist-0.49.tar.gz"
+MD5SUM="bd852113974544f3c8c107ab4055cf8c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/perl/perl-PAR-Dist/slack-desc b/perl/perl-PAR-Dist/slack-desc
new file mode 100644
index 0000000000..8a45f4170b
--- /dev/null
+++ b/perl/perl-PAR-Dist/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-PAR-Dist: perl-PAR-Dist (Create and manipulate PAR distributions)
+perl-PAR-Dist:
+perl-PAR-Dist: This module creates and manipulates PAR distributions.
+perl-PAR-Dist: They are architecture-specific of CPAN distributions after their make
+perl-PAR-Dist: or perl-PAR-Dist: Build stage, a META.yml describing metadata
+perl-PAR-Dist: of the original CPAN distribution, and a MANIFEST detailing all files
+perl-PAR-Dist: within it.
+perl-PAR-Dist:
+perl-PAR-Dist:
+perl-PAR-Dist:
+perl-PAR-Dist: